Bug 714201 - [RFE] add a test button to plugins to test the configuration
[RFE] add a test button to plugins to test the configuration
Status: NEW
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Martin Milata
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: ABRTF18
  Show dependency treegraph
 
Reported: 2011-06-17 11:32 EDT by Ed Avis
Modified: 2015-03-22 20:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:24:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ed Avis 2011-06-17 11:32:50 EDT
The first time the crash reporter runs it offers to report to Bugzilla.  You enter your username and password for the site.  But there is no feedback if the username and password combination is not correct, and no chance to correct it later.  This is particularly annoying if the crash happens at login, before the desktop environment has come up, so the only thing on your screen is the crash reporter and you have no ability to bring up a web browser to check.

Could I make a few feature suggestions?

- When entering the username and password for Bugzilla, a 'test' button should attempt a login and report success or failure.

- If at the last stage of bug reporting the submission failed, it should be possible to go back and try other methods to report the crash, rather than just saving it in a log file and exiting.

- It might be more useful for the tool to have its own specific Bugzilla account set up where it can report crashes.  After the crash is reported, users who have a Bugzilla account of their own could go to the site and change ownership.

Perhaps I've misunderstood things and the tool already is capable of reporting crashes without the need to enter your own Bugzilla username and password.  If so, this could be made more obvious in the GUI.
Comment 1 Steve Tyler 2011-06-17 17:34:44 EDT
A BZ login test button sounds like a good idea.

ABRT has a bit of a learning curve, but you can verify your login credentials in F15 by running "abrt-gui" from the command-line or from the Applications page. Select Edit:Event configuration:Bugzilla. You can also try resubmitting your bug from abrt-gui.
Comment 2 Jiri Moskovcak 2011-10-10 09:38:21 EDT
(In reply to comment #0)
> The first time the crash reporter runs it offers to report to Bugzilla.  You
> enter your username and password for the site.  But there is no feedback if the
> username and password combination is not correct, and no chance to correct it
> later.  This is particularly annoying if the crash happens at login, before the
> desktop environment has come up, so the only thing on your screen is the crash
> reporter and you have no ability to bring up a web browser to check.
> 
> Could I make a few feature suggestions?
> 
> - When entering the username and password for Bugzilla, a 'test' button should
> attempt a login and report success or failure.
> 

- doable, but definitely not high priority

> - If at the last stage of bug reporting the submission failed, it should be
> possible to go back and try other methods to report the crash, rather than just
> saving it in a log file and exiting.

- it is now possible

> 
> - It might be more useful for the tool to have its own specific Bugzilla
> account set up where it can report crashes.  After the crash is reported, users
> who have a Bugzilla account of their own could go to the site and change
> ownership.
> 

- no, it could be used to spam bugzilla

> Perhaps I've misunderstood things and the tool already is capable of reporting
> crashes without the need to enter your own Bugzilla username and password.  If
> so, this could be made more obvious in the GUI.
Comment 3 Jiri Moskovcak 2012-05-17 08:47:30 EDT
We can extend the xml event description to achieve this:

- we can define a command to run to test the plugin/event which could be just a simple shell script, which returns 0 - OK something else - NOT OK

<testsettings>report-bugzilla -dry -u $Bugzilla_USER -p $Bugzilla_PASS</testsettings>

- this ^ would just try to login to bugzilla with the provided credentials and returns 0 - successfully logged or !0 login failed and the UI can just display whatever output the plugin prints on stdout
Comment 4 Fedora End Of Life 2012-08-07 15:24:44 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.